<template>
	<div>
        <v-container class="ma-0 pa-0" grid-list-sm>
            <div class="text-right">
                <v-btn small text :to="{name:'campaigns'}" class="brown--text">
                    All Campaigns <v-icon>mdi-chevron-right</v-icon>
                </v-btn>
            </div>
            <v-layout wrap>
                <v-flex v-for="campaign in campaigns" v-bind:key="campaign.id">
                    <campaign-component v-bind:portal="campaign"></campaign-component>                    
                </v-flex>
            </v-layout>
        </v-container>
        <v-container class="ma-0 pa-0" grid-list-sm>
            <div class="text-right">
                <v-btn small text :to="{name:'blogs'}" class="brown--text">
                    All Blogs <v-icon>mdi-chevron-right</v-icon>
                </v-btn>
            </div>
            <v-layout wrap>
                <v-carousel hide-delimiters height="250px">
                    <v-carousel-item v-for="blog in blogs" v-bind:key="blog.id">
                        <!-- <v-card v-bind:to="{name:'blog',params:{'blogId':blog.id}}"> -->
                            <v-img v-bind:src="blog.image" class="fill-height align-end" max-height="300" contain>
                                 <v-container fill-height fluid pa-0 ma-0>
                                    <v-layout fill-height aligh-end>
                                        <v-flex xs-12 mx-2>
                                            <span class="headline grey--text" v-text="blog.title"></span>
                                        </v-flex>        
                                    </v-layout>                                        
                                </v-container>
                            </v-img>
                        <!-- </v-card> -->        
                    </v-carousel-item>
                </v-carousel>                
            </v-layout>
        </v-container>        
    
    </div>
</template>

<script type="module">
import CampaignComponent from '../components/CampaignComponent.vue'

export default {

	data: function(){
		return{
            message:'This is Home Page!',
            theErrors:[],
            campaigns:[],
            blogs:[],
		}
    },
    components:{'campaign-component':CampaignComponent},
    methods:{
        async getRandomCampaigns(){

            try{

                let response = await axios.get('api/campaign/2/random')

                if(response.status==200){
                    console.log(response.data.length)
                    let {data} = response.data
                    this.campaigns = data
                }

            }catch(e){

                let{response} = e
                this.theErrors = response.getErrors
                        
            }           

        },
        async getRandomBlogs(){

            try{

                let response = await axios.get('api/blog/2/random')

                if(response.status==200){
                    console.log(response.data.length)
                    let {data} = response.data
                    this.blogs = data
                }

            }catch(e){

                let{response} = e
                this.theErrors = response.getErrors
                        
            }           

        }
    },
	mounted:function(){

        console.log('Home Page Mounted')

	},created:function(){
        console.log('Home Page Created')
        this.getRandomCampaigns()
        this.getRandomBlogs()
    }

}
</script>

<style>

</style>
